### Method

# Gtk.Dialog.add_buttons

#### Declaration [src]

    void
    gtk_dialog_add_buttons (
      GtkDialog* dialog,
      const char* first_button_text,
      ...
    )

#### Description [src]

Adds multiple buttons.

This is the same as calling `gtk_dialog_add_button()` repeatedly. The variable argument list should be `NULL`-terminated as with [new@Gtk.Dialog.new_with_buttons]. Each button must have both text and response ID.

#### Parameters

`first_button_text` | `const char*`
| button text
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`...` | ``
| response ID for first button, then more text-response_id pairs